Bug 677669 - Manpath Wildcard Regression
Manpath Wildcard Regression
Product: Fedora
Classification: Fedora
Component: man-db (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-02-15 09:29 EST by Mark Bidewell
Modified: 2012-05-04 16:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: man-db-
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-02 00:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
man log (40.12 KB, text/plain)
2011-02-19 11:22 EST, Mark Bidewell
no flags Details

  None (edit)
Description Mark Bidewell 2011-02-15 09:29:45 EST
Description of problem:
I was working with CentOS 5 and I was noticing some what appears to be
 a functional regression in F14 mandb:
1)  In the centos configuration you can specify manpaths with wildcard
expansions.  Example:  /opt/*/man would specify all man subdirectories
in /opt.  In F14 this no longer works.

Version-Release number of selected component (if applicable):

How reproducible: Every time

Steps to Reproduce:

1.  Add a MANDATORY_MANPATH with a wildcard to the mandb configuration
2.  Attempt to use man to read a manpage at that location.
Actual results:
man pages not available

Expected results:
man pages from all matching paths should be available.

Additional info:
Comment 1 Mark Bidewell 2011-02-19 11:22:18 EST
Created attachment 479706 [details]
man log

Sorry for the delay attached is a debug log.
Comment 2 Fedora Admin XMLRPC Client 2011-07-12 07:45:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Peter Schiffer 2012-04-24 11:56:35 EDT
Hi Mark,

thank you for your report and sorry for a late response. The issue should be fixed here:

In F14 we changed man package for man-db, which doesn't support this feature. From this point of view, I'm considering this bug as a RFE, so I'll keep the fix just in rawhide for now.

Please, could you try to test it?


Comment 4 Fedora Update System 2012-04-25 14:00:46 EDT
man-db- has been submitted as an update for Fedora 17.
Comment 5 Fedora Update System 2012-04-26 09:28:28 EDT
man-db- has been submitted as an update for Fedora 16.
Comment 6 Fedora Update System 2012-04-26 15:28:14 EDT
Package man-db-
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing man-db-'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 7 Mark Bidewell 2012-04-29 17:26:28 EDT
I can confirm the issue is resolved on F17.
Comment 8 Fedora Update System 2012-05-02 00:37:58 EDT
man-db- has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-05-04 16:32:32 EDT
man-db- has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.